﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 654C: (1 yr) VER IEEE /5800A+5Ch+TDP
DATE:                  2017-02-22 13:35:22
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       242
CONFIGURATION:         Fluke 5800A (C5)
STANDARD:              Fluke 5800A/TDP
=============================================================================
#
#  Procedure Author:
#        DAC, DFM, VY
#
#  Source:
#        TDS 500D, TDS 600C, TDS 700D & TDS 714L Digitizing Oscilloscopes
#        Service Manual, Part No. 071-0627-02
#
#  Additional Equipment Required:
#        Cable, coaxial, BNC(m) to test clips, 36" (Pomona 3787-C-36)
#        Cable, coaxial, BNC(m)-(m), 36"
#        Cable, coaxial, BNC(m)-(m), 12"
#        Dual Input Coupler (BNC)
#        50 Ohm Feedthrough (BNC)
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  M5800                                                    C5
  1.003  5800         500MH                        1Vpp           LS S6 S  L
  1.004  ENDIF

  1.005  STD          Fluke 5800A/TDP

  1.006  ASK-   R   Q N              P                            F        V
# ASK+ K is required for measurement uncertainty.
  1.007  ASK+           K

# Verify MET/VERsion compatibility.
  1.008  MATH         @ReqMetCalVersion = "7.20x"
  1.009  CALL         Sub MET/CAL Version Check

  1.010  IF           NOT(@MetCalVersionOK)
  1.011  DISP         This procedure requires MET/CAL 7.20 SP1 (7.20x)
  1.011  DISP         or later.
  1.012  END
  1.013  ENDIF

  1.014  CALL         Sub Display Copyright
  1.015  CALL         Sub High Voltage Safety Warning
  1.016  CALL         Sub Select Failed Test Mode
  1.017  CALL         Sub Select Verification Method

  1.018  DISP         Ensure a minimum UUT warm-up time of at least
  1.018  DISP         20 minutes has been allowed to elapse, prior
  1.018  DISP         to beginning verification.

  1.019  HEAD         UUT IDENTIFICATION
  1.020  TARGET
  1.021  CALL         Sub TDS500/600/700 Setup IEEE
  1.022  IEEE2        *RST;DESE 61
  1.023  WAIT         -t 4 System Initializing ...

  1.024  MATH         @UUT_Manufacturer = "TEKTRONIX"
  1.025  MATH         @UUT_Model        = "TDS 654C"
  1.026  MATH         @UUT_AssetNum     = UUT()

  1.027  IF           NOT(EMPTY(@UUT_AssetNum))
  1.028  MATH         @UUT_SerialNum = SN(@UUT_AssetNum)
  1.029  ENDIF

  1.030  CALL         Sub IEEE-488.2 Identification Query IEEE
  1.031  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.032  JMPL         END                          @Abort

  1.033  HEAD         EQUIPMENT REQUIREMENTS
  1.034  OPBR         -z Do you want to review the list of additional
  1.034  OPBR         equipment and/or accessories required?

  1.035  IF           MEM1
  1.036  DISP         The following additional equipment and/or accessories
  1.036  DISP         are required:
  1.036  DISP
  1.036  DISP         - Cable, coaxial, BNC(m) to test clips, 36"
  1.036  DISP         [32] (Pomona 3787-C-36 or equivalent)
  1.036  DISP         - Cable, coaxial, BNC(m)-(m), 36"
  1.036  DISP         - Cable, coaxial, BNC(m)-(m), 12"
  1.036  DISP         - Dual Input Coupler (BNC)
  1.036  DISP         - 50 Ohm Feedthrough (BNC)
  1.037  ENDIF

# NOTE: The execution order of this verification procedure has been optimized
# to minimize operator intervention, while retaining the correct sequence for
# reported test results.  For more information about the method used, refer
# to this application note, available at www.flukecal.com:
# Application Note 6001075: Preserving Results Order While Optimizing
# Execution Sequence in MET/CAL Procedures.

  1.038  CALL         Sub TDS600C Specifications
  1.039  CALL         Sub TDS500/600/700 Self-Test IEEE
  1.040  JMPL         END                          @Abort
  1.041  CALL         Sub TDS500/600/700 Sig Path Comp Cal IEEE
  1.042  JMPL         END                          @Abort

# Set the variable of the calibrator channel number for hookup setup.
  1.043  MATH         @SourceChanNum = 5

# Specify channel to test.
  1.044  MATH         @Chan = 1
  1.045  CALL         Sub TDS600C (1 yr) DC Offset IEEE
  1.046  MATH         @Chan = 2
  1.047  CALL         Sub TDS600C (1 yr) DC Offset IEEE
  1.048  MATH         @Chan = 3
  1.049  CALL         Sub TDS600C (1 yr) DC Offset IEEE
  1.050  MATH         @Chan = 4
  1.051  CALL         Sub TDS600C (1 yr) DC Offset IEEE

  1.052  MATH         @Chan = 1
  1.053  M5800                                                    C1
  1.054  CALL         Sub TDS600C (1 yr) DCV Meas Acc IEEE /5800
  1.055  MATH         @Chan = 2
  1.056  M5800                                                    C2
  1.057  CALL         Sub TDS600C (1 yr) DCV Meas Acc IEEE /5800
  1.058  MATH         @Chan = 3
  1.059  M5800                                                    C3
  1.060  CALL         Sub TDS600C (1 yr) DCV Meas Acc IEEE /5800
  1.061  MATH         @Chan = 4
  1.062  M5800                                                    C4
  1.063  CALL         Sub TDS600C (1 yr) DCV Meas Acc IEEE /5800

  1.064  MATH         @Chan = 1
  1.065  M5800                                                    C1
  1.066  CALL         Sub TDS600C (1 yr) Bandwidth IEEE /5800
  1.067  MATH         @Chan = 2
  1.068  M5800                                                    C2
  1.069  CALL         Sub TDS600C (1 yr) Bandwidth IEEE /5800
  1.070  MATH         @Chan = 3
  1.071  M5800                                                    C3
  1.072  CALL         Sub TDS600C (1 yr) Bandwidth IEEE /5800
  1.073  MATH         @Chan = 4
  1.074  M5800                                                    C4
  1.075  CALL         Sub TDS600C (1 yr) Bandwidth IEEE /5800
  1.076  JMPL         TIMEBASE_TRIGGER

  1.077  LABEL        DELAY_MATCH
  1.078  MATH         @Chan = 1
  1.079  M5800                                                    C1
  1.080  CALL         Sub TDS600C (1 yr) Delay Match IEEE /5800
  1.081  JMPL         OUTPUT_SIGNAL

  1.082  LABEL        TIMEBASE_TRIGGER
  1.083  MATH         @Chan = 1
  1.084  M5800                                                    C1
  1.085  CALL         Sub TDS600C (1 yr) Time Base IEEE /5800
  1.086  JMPL         TRIG_TIME_ACC

  1.087  LABEL        DELTA_TIME
  1.088  MATH         @Chan = 1
  1.089  M5800                                                    C1
  1.090  CALL         Sub TDS654C (1 yr) Delta Time IEEE /5800+TDP
  1.091  MATH         @Chan = 2
  1.092  M5800                                                    C1
  1.093  CALL         Sub TDS654C (1 yr) Delta Time IEEE /5800+TDP
  1.094  MATH         @Chan = 3
  1.095  M5800                                                    C1
  1.096  CALL         Sub TDS654C (1 yr) Delta Time IEEE /5800+TDP
  1.097  MATH         @Chan = 4
  1.098  M5800                                                    C1
  1.099  CALL         Sub TDS654C (1 yr) Delta Time IEEE /5800+TDP
  1.100  JMPL         END

  1.101  LABEL        TRIG_TIME_ACC
  1.102  M5800                                                    C1
  1.103  CALL         Sub TDS600C (1 yr) Trig Time Acc IEEE /5800
  1.104  CALL         Sub TDS600C (1 yr) Sens IEEE /5800
# If desired, you can test the channel 2, 3, 4 trig sensitivity or skip them.
  1.105  OPBR         -z Each channel trig sensitivity test will take about
  1.105  OPBR         [V @OptChSensTime] minutes. You can skip the remaining
  1.105  OPBR         channels to save time, unless desired.
  1.105  OPBR
  1.105  OPBR         [NO]Do you want to test trig sensitivity of channel 2,
  1.105  OPBR         3, and 4?
  1.106  MATH         @TestCh234Sens = MEM1
  1.107  JMPL         MAIN_TRIG_SENS_CH2

  1.108  LABEL        AUX_TRIG_IN
  1.109  MATH         @Chan = 1
  1.110  M5800                                                    C1
  1.111  CALL         Sub TDS600C (1 yr) Aux Trig In Sens IEEE /5800
  1.112  JMPL         DELAY_MATCH

  1.113  LABEL        MAIN_TRIG_SENS_CH2

  1.114  IF           @TestCh234Sens
  1.115  MATH         Time = 3 * @OptChSensTime
  1.116  DISP         The next routine operator intervention occurs
  1.116  DISP         in approximately [V Time] minutes...
  1.117  MATH         @Chan = 2
  1.118  M5800                                                    C2
  1.119  CALL         Sub TDS600C (1 yr) Sens IEEE /5800
  1.120  MATH         @Chan = 3
  1.121  M5800                                                    C3
  1.122  CALL         Sub TDS600C (1 yr) Sens IEEE /5800
  1.123  MATH         @Chan = 4
  1.124  M5800                                                    C4
  1.125  CALL         Sub TDS600C (1 yr) Sens IEEE /5800
  1.126  ENDIF

  1.127  JMPL         AUX_TRIG_IN

  1.128  LABEL        OUTPUT_SIGNAL
  1.129  M5800                                                    C1
  1.130  CALL         Sub TDS600C (1 yr) Output Signal IEEE /5800
  1.131  M5800                                                    C1
  1.132  CALL         Sub TDS600C (1 yr) Probe Comp IEEE /5800
  1.133  JMPL         DELTA_TIME

  1.134  LABEL        END
  1.135  IEEE2        *RST;DESE 61

  1.136  IF           @Abort
  1.137  HEAD         {V E R I F I C A T I O N   A B O R T E D !}
  1.138  ENDIF

  1.139  END
